*{
font-family:"微軟正黑體",Arial;
margin:0px;
padding:0px;
box-sizing:border-box;
}
.main{
  width:1024px;
  margin:auto;
}
section{
width:750px;
padding:10px;
font-size:18px;
line-height:1.8em;

}

article{
 margin:10px 0 5px 0;
 text-indent:2em;
 
}
.title{
  font-weight:bolder;
  text-indent:0em;
}
article ul{
  list-style-type: none;
  text-indent:-0.8em;
  margin-left:3em;
  padding:0 5em 0 1em;

}
.code{
max-width:860px;
overflow:auto;
margin:5px auto 5px auto;
text-indent:0em;
}
code{
  display: block;
  font-family: monospace,Arial, Helvetica, sans-serif;
  background:#eee;
  border: 1px solid #ccc;
  width:80%;
  margin:auto;
  text-indent: initial;
  padding: 10px;
  line-height: 1.2em;
}
.topnav {
    background-color: #333;
    /*overflow: hidden;*/
    position:fixed;
    width:1024px;
    left:calc((100% - 1024px)/2);
    z-index:10;
}

.topnav a {
    display:inline-block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    
}

.topnav a:hover {
    background-color: #ddd;
    color: black;
}

.topnav a.active {
    background-color: #4CAF50;
    color: white;
}
.topnav a.sub{
  font-size:14px;
}
.topnav-centered{
  float:left;
  width:80%;
  text-align:center;
}
.topnav-left{
  float:left;
  width:10%;
}
.topnav-right{
  float:left;
  width:10%;
  text-align:right;
  position: relative;
}
.topnav-right:hover .otherset{
  display:block;
}
.bod{
  border:1px solid #555;
  padding:10px;
}
img{
  max-width: 100%;
}
.chapter{
  list-style-type: none;
}
.otherset{
  display:none;
  list-style-type: none;
  position:absolute;
  background-color: #333;
  z-index:10;
  width:100%;
}
.otherset li{
  color:white;
  text-align: center;
}
.otherset li a{
  padding:10px 0;
  width:100%;
  display:block;
}
aside{
  border: 1px solid #000;
  position: fixed;
  right:calc((100% - 1024px ) / 2);
  top:150px;
  width:250px;
}
aside ul{
  list-style-type: none;
  width:100%;
  padding-top:35px;
}
aside ul li{
  font-size:14px;
  padding:5px 10px;
}
aside ul li a{
  text-decoration: none;
}
aside .aside-title{
  position: absolute;
  width:100%;
  background:#555;
  text-align: center;
  margin-bottom: 10px;
  padding:5px 0;
}
aside .aside-title a{
  color:#EEE;
  text-decoration: none;
}
.gist{
  font-family:"微軟正黑體", Courier, 'Courier New', monospace
}